"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const path = require("path");
const generate_1 = require("./generate");
async function writeDeclarationFile(pkgDir, _a = {}) {
    var { outDir } = _a, bundleOptions = __rest(_a, ["outDir"]);
    const absolutePkgDir = getAbsoluteDirname(pkgDir);
    const { name, main } = require(path.join(absolutePkgDir, 'package.json'));
    const entry = path.resolve(absolutePkgDir, main);
    const typings = await generate_1.generateTypings(name, entry, bundleOptions);
    const typingsFilename = outDir
        ? path.join(getAbsoluteDirname(outDir), `${name}.d.ts`)
        : path.join(absolutePkgDir, 'index.d.ts');
    await fs.writeFile(typingsFilename, typings);
    return typingsFilename;
}
exports.writeDeclarationFile = writeDeclarationFile;
async function cli(pkgDir = process.cwd(), options = {}) {
    try {
        await writeDeclarationFile(pkgDir, options);
    }
    catch (error) {
        console.error(`Cannot generate declaration file for "${pkgDir}".`);
        console.error(`Reason: ${error.message}`);
        if (error.codeFrame) {
            console.error(error.codeFrame);
        }
        process.exit(1);
    }
}
exports.cli = cli;
function getAbsoluteDirname(dirname) {
    return path.resolve(process.cwd(), dirname);
}
//# sourceMappingURL=index.js.map