"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const minimatch = require("minimatch");
const path = require("path");
const emptyModule = 'export default {}';
const emptyModuleName = '\0empty_module';
function getMatchableImportee(importee) {
    return importee.startsWith('.') ? path.resolve(importee) : importee;
}
function matches(importee, patterns) {
    return patterns.some(pattern => minimatch(getMatchableImportee(importee), pattern, { dot: true }));
}
exports.matches = matches;
function replaceWithEmptyModule(patterns = []) {
    return {
        name: 'replace-with-empty-module',
        async resolveId(importee) {
            return matches(importee, patterns) ? emptyModuleName : undefined;
        },
        async load(id) {
            return id === emptyModuleName ? emptyModule : undefined;
        },
    };
}
exports.replaceWithEmptyModule = replaceWithEmptyModule;
//# sourceMappingURL=rollup-plugin-replace-with-empty-module.js.map